Retrieves all the article status list

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

article_status_list
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
article_status_id

Foreign key of the article_status

globally unique identifier

Optionally required : article_status_id required

article_id

Foreign key of article

globally unique identifier

Optionally required : article_id, article_code or article must be provided

article_code

Embedded entity "article" using ERP PK when adding/updating

string

Optionally required : article_id, article_code or article must be provided

article

Embedded entity "article" when adding/updating

article

Optionally required : article_id, article_code or article must be provided

sales_organization_id

globally unique identifier

Required

date_start_delivery

Start delivery date

date
date_start

Date start

date
date_end

Date end

date
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "22171d03-7634-42d3-8706-bb58c968ef4b",
  "article_status_id": "5772df55-db95-4579-8c9e-652d536ecd23",
  "article_id": "7f813d65-d3e3-49a7-b1e7-189afd3ae7c0",
  "article_code": "sample string 4",
  "sales_organization_id": "ede2ebbd-8a06-4647-83d0-5dda58e058ea",
  "date_start_delivery": "2026-10-26T22:19:29.6117564+00:00",
  "date_start": "2026-10-26T22:19:29.6117564+00:00",
  "date_end": "2026-10-26T22:19:29.6117564+00:00",
  "modified_dateutc": "2026-10-26T22:19:29.6117564+00:00"
}